Name: gossip
Version: 0.8
Release: alt3

%def_with dbus

Summary: Jabber client for GNOME
Group: Networking/Instant messaging
License: GPL
URL: http://www.imendio.com/projects/gossip/

%define loudmouth_version 0.17
%define libxml2_version 2.4.7
%define libxslt_version 1.0.0
%define glib_version 2.4.0
%define gtk_version 2.4.0
%define gconf_version 1.2.0
%define dbus_version 0.34

Requires: libloudmouth >= %loudmouth_version
Requires: libxml2 >= %libxml2_version
Requires: libxslt >= %libxslt_version
Requires: glib2 >= %glib_version
Requires: libgtk+2 >= %gtk_version
Requires: libGConf2 >= %gconf_version

%if_with dbus
Requires: libdbus >= %dbus_version
Requires: libdbus-glib >= %dbus_version
%endif

Source: %name-%version.tar.bz2

Patch0: %name-dbus.patch

BuildRequires: menu-devel

BuildRequires: GConf2 ORBit2-devel XFree86-devel common-licenses esound
BuildRequires: fontconfig freetype2 gnome-vfs2-devel libart_lgpl-devel
BuildRequires: libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel
BuildRequires: libgnome-devel libgnomeui-devel libgnomecanvas-devel
BuildRequires: libpango-devel libpopt-devel perl-XML-Parser pkgconfig
BuildRequires: zlib-devel

BuildRequires: libloudmouth-devel >= %loudmouth_version
BuildRequires: libxml2-devel >= %libxml2_version
BuildRequires: libxslt-devel >= %libxslt_version
BuildRequires: glib2-devel >= %glib_version
BuildRequires: libgtk+2-devel >= %gtk_version
BuildRequires: libGConf2-devel >= %gconf_version
BuildRequires: desktop-file-utils >= 0.2.90

%if_with dbus
BuildRequires: libdbus-devel >= %dbus_version
BuildRequires: libdbus-glib-devel >= %dbus_version
%endif

%description
Gossip is an instant messaging program for GNOME.
Gossip aims at making Instant Messaging with Jabber as easy as possible,
while giving users of the GNOME Desktop a user friendly way of keeping
in touch with their friends.

%prep
%setup -q
%patch0 -p1
%__rm -f COPYING
%__ln_s %_licensedir/GPL-2 COPYING

# sr@Latn translation is labeled with a wrong charset. Just dump it.
#__perl -pi -e 's/^(ALL_LINGUAS.*)sr\@Latn\s*/$1/' configure.in
#__rm -f po/sr@Latn.*

%build
#autoreconf -isfv
%configure \
%if_with dbus
    --enable-dbus=yes \
%else
    --enable-dbus=no \
%endif
    --disable-schemas-install
%make_build

%install
%makeinstall

%find_lang %name

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Networking/Instant messaging"  \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

%post
%gconf2_install %name
%update_menus

%preun
if [ $1 = 0 ]; then
    %gconf2_uninstall %name
fi
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README
%doc --no-dereference COPYING
%_bindir/*
%_datadir/%name
%_datadir/applications/*
%_datadir/pixmaps/*
%_sysconfdir/gconf/schemas/*
%_menudir/*

%changelog
* Fri Jul 15 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.8-alt3
- Patch for new dbus from Fedora (thanks Rider) [Patch0]
- Requires dbus 0.34

* Sun Jan 30 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.8-alt2
- Added the common menu entry (bug #5909)

* Tue Jan 04 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.8-alt1
- New upstream release

* Sat Dec 04 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.7.8-alt3
- Added /usr/share/gossip directory to the file list

* Mon Oct 25 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.7.8-alt2
- Stricter installtime versioned dependencies copied from the buildtime
  dependencies, which are in turn copied from configure dependencies
  (bug #5393)

* Sat Oct 16 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.7.8-alt1
- Updated to the new upstream release
- Conditionally build with dbus

* Tue May 25 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.7.5-alt1
- New upstream release

* Sat Mar 27 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.7.4-alt1
- New upstream release

* Sat Feb 21 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.7.2-alt1
- New upstream release
- Run automake

* Fri Jan 23 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.7.1-alt1
- New upstream release

* Sat Jan 10 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.6-alt1
- New upstream release

* Wed Aug 20 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.5-alt1
- New version

* Mon Jul 21 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.4-alt1
- Ported to ALT Linux
